Update tox.ini for python3.8 and fix pypy3.6
authorFloris Bruynooghe <flub@devork.be>
Sun, 14 Jun 2020 19:25:46 +0000 (21:25 +0200)
committerDavid Bremner <david@tethera.net>
Mon, 15 Jun 2020 14:25:39 +0000 (11:25 -0300)
Python 3.8 has been released for a while now, make sure we keep
supporting it correctly.

PyPy 3.6 wasn not configured correctly.

bindings/python-cffi/tox.ini

index 34148a11bf6049ab16faaf35d122dc8e84747712..7cf93be0146b5d74b88aea25dfafc8dd0b69a588 100644 (file)
@@ -3,7 +3,7 @@ minversion = 3.0
 addopts = -ra --cov=notmuch2 --cov=tests
 
 [tox]
-envlist = py35,py36,py37,pypy35,pypy36
+envlist = py35,py36,py37,py38,pypy35,pypy36
 
 [testenv]
 deps =
@@ -14,3 +14,6 @@ commands = pytest --cov={envsitepackagesdir}/notmuch2 {posargs}
 
 [testenv:pypy35]
 basepython = pypy3.5
+
+[testenv:pypy36]
+basepython = pypy3.6